﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Export_Grid_HTML_File_Razor_Core.Models;
using System.Linq;
using System.Text;

namespace Export_Grid_HTML_File_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }

        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public List<Customer> Customers { get; set; }

        public void OnGet()
        {
            this.Customers = this.Context.Customers.Take(10).ToList();
        }

        public FileResult OnPostExport(string GridHtml)
        {
            return File(Encoding.ASCII.GetBytes(GridHtml), "text/html", "Grid.htm");
        }
    }
}